# cmake_minimum_required(VERSION 3.0)
# project(uart)
message(STATUS "unit_test/borad_test/json/jsoncppReadJsonData/CMakeLists.txt.")
# # 设置项目名称
# project(jsontest)

add_definitions("-Wall -g")

# 添加头文件目录  
include_directories(/media/sf_share/gateway/third_lib/jsoncpp)

add_executable(json_test main.cc)

# 添加库文件目录（对于静态库或动态库）
# link_directories(/media/sf_share/gateway/third_lib/jsoncpp)
# target_link_libraries(json_test jsoncpp)
target_link_libraries(json_test /media/sf_share/gateway/third_lib/jsoncpp/libjsoncpp.so)


# install(TARGETS uart_test 
#     RUNTIME DESTINATION ${PROJECT_SOURCE_DIR}/bin)
install(TARGETS json_test 
    RUNTIME DESTINATION ${CMAKE_BINARY_DIR}/../bin)